
const app = getApp()
import {pathographyGroup} from "../../../api/sickRecord"
import {throttle} from "../../../utils/util"
Page({

  /**
   * 页面的初始数据
   */
  data: {
    isTriggered:false,
    img_host:'https://oss.prod.applets.igandanyiyuan.com/applet/patient/static',
    list:[]
  },
  handleRefresher(){
    this.handleFamily();
  },
  handleFamily(){
    pathographyGroup().then(data=>{
      this.setData({
        isTriggered:false,
        list:data
      })
    })
  },
  goBack(){
    wx.navigateBack({
      delta: 1,
    })
  },
  goInfo:throttle(function(){
    app.method.navigateTo({
      url: '/patient/pages/memberDetail/memberDetail?fromtype=manage',
    })
  }),
  goRecord:throttle(function(event){
    let {id,count}=event.currentTarget.dataset;
    if(count==0){
      wx.showToast({
        title: '暂无病例数据',
        icon:'none'
      })
    }else{
      app.method.navigateTo({
        url: '/patient/pages/sickRecord/sickRecord?family_id='+id+"&showRadio=false",
      })
    }
   
  }),
  /**
   * 生命周期函数--监听页面加载
   */
  onLoad(options) {

  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady() {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow() {
    this.setData({
      img_host:app.hostConfig().imghost,
      list:[]
    });
    this.handleFamily();
  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide() {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload() {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh() {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom() {

  },

  /**
   * 用户点击右上角分享
   */
  
})